<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>

<Script Language="VB" Runat="Server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
  netver.text= System.Environment.Version.ToString()  
  sysver.text=Environment.OSVersion.ToString()
  iisver.text= Request.ServerVariables("SERVER_SOFTWARE")

End Sub
	
	
Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
Dim A As String
Dim Sw As StreamWriter


A = "写入字符：" & RndNum(4) & "，写入时间：" & Now() & "<br><br>"
A = A & "<font color=ff0000>恭喜你，你的空间支持Asp.net写入操作</font><br><br>"
A = A & "<a href='AspxCheck.aspx'>返回重来</a>"

Sw = New StreamWriter(Server.MapPath("AspxCheck.htm"), False, System.Text.Encoding.GetEncoding("GB2312"))
Sw.WriteLine(A)
Sw.Close()

Response.Redirect("AspxCheck.htm")
End Sub

Function RndNum(ByVal VcodeNum)
 Dim Vchar As String = "0,1,2,3,4,5,6,7,8,9"
 Dim VcArray() As String = Split(Vchar, ",") '将字符串生成数组
 Dim VNum As String = ""
 Dim i As Byte
 For i = 1 To VcodeNum
 Randomize()
 VNum = VNum & VcArray(Int(9 * Rnd())) '数组一般从0开始读取，所以这里为35*Rnd
 Next
 Return VNum
End Function


</Script>


<form id="Form1" method="post" runat="server">
乘风Asp.net探针V1.0:<br>
作者：乘风<br>
网址：<a href='http://www.qqcf.com' target='_blank'>http://www.qqcf.com</a><br><br>
  <strong>asp.net版本：</strong>
<asp:label ID="netver" runat="server" /><br>
<strong>操作系统：</strong>
<asp:label ID="sysver" runat="server" /><br>
<strong>IIS版本：</strong>
<asp:label ID="iisver" runat="server" /><br>



<br>
一、<b>Asp.net的读取权限</b><br>
你看到此页内容表示你的空间支持asp.net，有读取权限<BR>
还请用下面的功能测试asp.net是否对空间用写的权限<BR>

<BR>
<BR>
二、<b>Asp.net的写入权限</b><br>
点击下面的按钮后，会跳转到AspxCheck.htm页面，页面上写入一个随机数字<BR>
要是显示不了随机数字并报错，证明Asp.net对空间没有写入权限，无法写入<BR>
Access数据库、生成或修改文件<BR>
<asp:button id="Button1" runat="server" Text="验证Asp.Net写权限" OnClick="Button1_Click"></asp:button></FONT></FONT>
<br><br><br>
程序说明：<br>
有些空间商的空间看起来用一些asp.net探针运行正常，其实只是验证了asp.net对空间的读取权限，asp.net的写入权限可能没有的，这样差不多所有使用的Access数据库的asp.net程序用不了，也生成不了静态页面。。用这个探针测试读取和写入权限都正常的话，基本这个空间才可以正常使用。
</form>
	